<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.MoveNextItem Method
JoinCursor Class See Also Send Feedback

Iterate over the values associated with the keys to which each SecondaryCursor passed to Join(array<SecondaryCursor>[]()[], Boolean) was initialized. Any data value that appears in all SecondaryCursors is then stored in Current.Key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool MoveNextItem()

Visual Basic (Declaration)

    Public Function MoveNextItem As Boolean

Visual C++

    public:
    bool MoveNextItem()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

Current.Value contains an empty DatabaseEntry.

# See Also

JoinCursor Class
MoveNextItem Overload
BerkeleyDB Namespace